net.i2p.util

## Class LogConsoleBuffer

- java.lang.Object
- - net.i2p.util.LogConsoleBuffer

-     public class LogConsoleBuffer
      extends Object

  Offer a glimpse into the last few console messages generated

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogConsoleBuffer(I2PAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `add(String msg)`
    `(package private) void` | `addCritical(String msg)`
    `List<String>` | `getMostRecentCriticalMessages()` Retrieve the currently bufferd crutucak messages, earlier values were generated...
    `List<String>` | `getMostRecentMessages()` Retrieve the currently bufferd messages, earlier values were generated...

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogConsoleBuffer

          public LogConsoleBuffer(I2PAppContext context)

  - ### Method Detail

    - #### add

          void add(String msg)

    - #### addCritical

          void addCritical(String msg)

    - #### getMostRecentMessages

          public List<String> getMostRecentMessages()

      Retrieve the currently bufferd messages, earlier values were generated... earlier. All values are strings with no formatting (as they are written in the logs)

    - #### getMostRecentCriticalMessages

          public List<String> getMostRecentCriticalMessages()

      Retrieve the currently bufferd crutucak messages, earlier values were generated... earlier. All values are strings with no formatting (as they are written in the logs)